Subject: Re: [PATCH] net: bcmgenet: Fix EPHY reset in power up

From: Andrew Lunn <[email-masked]>
Date: Fri, 23 Sep 2016 16:06:09 +0200

On Fri, Sep 23, 2016 at 10:20:04PM +0900, Jaedon Shin wrote:
> The bcmgenet_mii_reset() is always not running in power up sequence
> after 'commit 62469c76007e ("net: ethernet: bcmgenet: use phydev from
> struct net_device")'. This'll show extremely high latency and duplicate
> packets while interface down and up repeatedly.
> 
> For now, adds again a private phydev for mii reset when runs power up to
> open interface.

Hi Jaedon

How does this fix the issue? It sounds like you are papering over the
crack, not truly fixing it.

       Andrew